<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosNaming.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosNaming</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module CosNaming

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Interfaces Summary:</div>
<div class="item"><div class="synopsis">interface <a href="CosNaming/BindingIterator.html" >BindingIterator</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosNaming/NamingContext.html" >NamingContext</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosNaming/Binding.html" >Binding</a>&gt; <span class="name"><a href="CosNaming.html#BindingList" >BindingList</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">string <span class="name"><a href="CosNaming.html#Istring" >Istring</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosNaming/NameComponent.html" >NameComponent</a>&gt; <span class="name"><a href="CosNaming.html#Name" >Name</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="CosNaming/Binding.html" >Binding</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="CosNaming/NameComponent.html" >NameComponent</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">with a multi-line comment.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enums Summary:</div>
<div class="item"><div class="synopsis"><span class="name"><a href="CosNaming.html#BindingType" >BindingType</a></span> nobject, ncontext</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="nobject">nobject</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="ncontext">ncontext</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Interfaces Details:</div>
<div class="item"><div class="synopsis">interface <a href="CosNaming/NamingContext.html" >NamingContext</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">a NamingContext interface</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Typedefs Details:</div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosNaming/Binding.html" >Binding</a>&gt; <a class="name" id="BindingList">BindingList</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">a BindingList type</div></div>
<div class="item"><div class="synopsis">string <a class="name" id="Istring">Istring</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">an Istring typedef</div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosNaming/NameComponent.html" >NameComponent</a>&gt; <a class="name" id="Name">Name</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">so it forms a scoped name of sorts</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Structs Details:</div>
<div class="item"><div class="synopsis">struct <a href="CosNaming/Binding.html" >Binding</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">a Binding struct</div></div>
<div class="item"><div class="synopsis">struct <a href="CosNaming/NameComponent.html" >NameComponent</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">with a multi-line comment.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Enums Details:</div>
<div class="item"><span class="keyword">enum</span> <a class="name" id="BindingType">BindingType</a><div class="enum"><div class="enumerator"><a class="name" id="nobject">nobject</a></div><div class="enumerator"><a class="name" id="ncontext">ncontext</a></div></div> <div class="doc">a BindingType enum</div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
